package com.rjconsultores.ventaboletos.enums;

public enum TipoDescontoMonitrip {
	
	NORMAL(1,"Tarifa Normal - sem desconto"),
	TARIFA_PROMOCIONAL(2, "Tarifa Promocional"),
	IDOSO_100(5, "Bilhete de Viagem do Idoso 100%"),
	IDOSO_50(6, "Bilhete de Viagem do Idoso 50%"),
	AUT_VIAGEM_LIVRE(7, "Autorização de Viagem - Passe Livre"),
	AUDITORES_AGENTES(8, "Passe Livre Auditores e Agentes do Trabalho"),
	GRATUIDADE_CRIANCA(9, "Gratuidade de Criança"),
	JOVEM_BAIXA_RENDA_100(10, "Gratuidade Jovem de Baixa Renda 100%"),
	JOVEM_BAIXA_RENDA_50(11, "Gratuidade Jovem de Baixa Renda 50%"),
	AUT_VIAGEM_ACOMP(12, "Autorização de Viagem - Passe Livre Acompanhante");
	
	private Integer valor;
	private String descricao;
	
	private TipoDescontoMonitrip(Integer valor, String descricao) {
		this.valor = valor;
		this.descricao = descricao;
	}
	
	public Integer getValor() {
		return valor;
	}
	public String getDescricao() {
		return descricao;
	}
	
	public static TipoDescontoMonitrip geTipoDescontoMonitrip(Integer valor) {
		if(NORMAL.getValor().equals(valor)) {
			return NORMAL;
		} else if(TARIFA_PROMOCIONAL.getValor().equals(valor)) {
			return TARIFA_PROMOCIONAL;
		} else if(IDOSO_100.getValor().equals(valor)) {
			return IDOSO_100;
		} else if(IDOSO_50.getValor().equals(valor)) {
			return IDOSO_50;
		} else if(AUT_VIAGEM_LIVRE.getValor().equals(valor)) {
			return AUT_VIAGEM_LIVRE;
		} else if(AUDITORES_AGENTES.getValor().equals(valor)) {
			return AUDITORES_AGENTES;
		} else if(GRATUIDADE_CRIANCA.getValor().equals(valor)) {
			return GRATUIDADE_CRIANCA;
		} else if(JOVEM_BAIXA_RENDA_100.getValor().equals(valor)) {
			return JOVEM_BAIXA_RENDA_100;
		} else if(JOVEM_BAIXA_RENDA_50.getValor().equals(valor)) {
			return JOVEM_BAIXA_RENDA_50;
		} else if(AUT_VIAGEM_ACOMP.getValor().equals(valor)) {
			return AUT_VIAGEM_ACOMP;
		}
			
		return NORMAL;
	}
	
	@Override
	public String toString() {
		return this.descricao;
	}
	
}
